# GitLogTask

Extends \GitBaseTask

Wrapper aroung git-log

Use \Project#createTask to register a new Task.

author | Evan Kaufman evan@digitalflophouse.com
author | Victor Farazdagi simple.square@gmail.com
version | $Id: 95b6bc9543e4a1917767a9fe0103dbd9c1668192 $
package | phing.tasks.ext.git
see |
since | 2.4.5

### Methods

## getDate

    getDate() : string

### Response

`string`

## Returns the textual description of the task

    getDescription() : string

inherited

### Response

`string`

The text description of the task

## getFormat

    getFormat() : string

### Response

`string`

## getGitClient

    getGitClient(boolean $reset = false, null $repository = null) : null|\VersionControl_Git

inherited

throws |

### Arguments

#### $reset

`boolean`

#### $repository

`null`

### Response

`null|\VersionControl_Git`

## Get path to git executable

    getGitPath() : string

inherited

### Response

`string`

## Returns the location within the buildfile this task occurs. Used by {@link BuildException} to give detailed error messages.

    getLocation() : \Location

inherited

### Response

`\Location`

The location object describing the position of this task within the buildfile.

## getMaxCount

    getMaxCount() : integer

### Response

`integer`

## getNameStatus

    getNameStatus() : boolean

### Response

`boolean`

## getNoMerges

    getNoMerges() : boolean

### Response

`boolean`

## Returns the owning target of this task.

    getOwningTarget() : \Target

inherited

### Response

`\Target`

The target object that owns this task

## getPaths

    getPaths() : string

### Response

`string`

## Returns a reference to current project

    getProject() : \Project

inherited

### Response

`\Project`

Reference to current porject object

## Returns a name

    getRegisterSlot(string $slotName) : \RegisterSlot

inherited

### Arguments

#### $slotName

`string`

### Response

`\RegisterSlot`

## Get repository directory

    getRepository() : string

inherited

### Response

`string`

## Returns the wrapper object for runtime configuration

    getRuntimeConfigurableWrapper() : \RuntimeConfigurable

inherited

### Response

`\RuntimeConfigurable`

The wrapper object used by this task

## getSince

    getSince() : string

### Response

`string`

## getStat

    getStat() : boolean|string

### Response

`boolean|string`

## Returns the name of task, used only for log messages

    getTaskName() : string

inherited

### Response

`string`

Name of this task

## Returns the name of the task under which it was invoked, usually the XML tagname

    getTaskType() : string

inherited

### Response

`string`

The type of this task (XML Tag)

## getUntil

    getUntil() : string

### Response

`string`

## Called by the parser to let the task initialize properly.

    init()

inherited

Should throw a BuildException if something goes wrong with the build

This is abstract here, but may not be overloaded by subclasses.

throws |

## isNameStatus

    isNameStatus() : boolean

### Response

`boolean`

## isNoMerges

    isNoMerges() : boolean

### Response

`boolean`

## Logs a message with the given priority.

    log(string $msg, integer $level = \Project::MSG_INFO) : void

inherited

### Arguments

#### $msg

`string`

The message to be logged.

#### $level

`integer`

The message's priority at this message should have

## Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.

    main()

inherited abstract

Should throw a BuildException if someting goes wrong with the build

This is abstract here. Must be overloaded by real tasks.

## Configure this task if it hasn't been done already.

    maybeConfigure()

inherited

## Perfrom this task

    perform()

inherited

throws |

## setAfter

    setAfter( $after)

### Arguments

#### $after

``

## setBefore

    setBefore( $before)

### Arguments

#### $before

``

## setDate

    setDate( $date)

### Arguments

#### $date

``

## Sets a textual description of the task

    setDescription(string $desc)

inherited

### Arguments

#### $desc

`string`

The text describing the task

## setFormat

    setFormat( $format)

### Arguments

#### $format

``

## Set path to git executable

    setGitPath(string $gitPath) : \GitBaseTask

inherited

### Arguments

#### $gitPath

`string`

New path to git repository

### Response

`\GitBaseTask`

## Sets the location within the buildfile this task occurs. Called by the parser to set location information.

    setLocation(\Location $location)

inherited

### Arguments

#### $location

`\Location`

The location object describing the position of this task within the buildfile.

## setMaxCount

    setMaxCount( $count)

### Arguments

#### $count

``

## setNameStatus

    setNameStatus( $flag)

### Arguments

#### $flag

``

## setNoMerges

    setNoMerges( $flag)

### Arguments

#### $flag

``

## setOutputProperty

    setOutputProperty( $prop)

### Arguments

#### $prop

``

## Sets the owning target this task belongs to.

    setOwningTarget(\Target $target)

inherited

### Arguments

#### $target

`\Target`

## setPaths

    setPaths( $paths)

### Arguments

#### $paths

``

## References the project to the current component.

    setProject(\Project $project) : void

inherited

### Arguments

#### $project

`\Project`

The reference to the current project

## Set repository directory

    setRepository(string $repository) : \GitBaseTask

inherited

### Arguments

#### $repository

`string`

Repo directory

### Response

`\GitBaseTask`

## Sets the wrapper object this task should use for runtime configurable elements.

    setRuntimeConfigurableWrapper(\RuntimeConfigurable $wrapper)

inherited

### Arguments

#### $wrapper

`\RuntimeConfigurable`

The wrapper object this task should use

## setSince

    setSince( $since)

### Arguments

#### $since

``

## setStat

    setStat( $stat)

### Arguments

#### $stat

``

## Sets the name of this task for log messages

    setTaskName(string $name) : string

inherited

### Arguments

#### $name

`string`

### Response

`string`

A string representing the name of this task for log

## Sets the type of the task. Usually this is the name of the XML tag

    setTaskType( $name)

inherited

### Arguments

#### $name

``

## setUntil

    setUntil( $until)

### Arguments

#### $until

``

### Properties

## Generate a diffstat. See --stat of git-log

    stat : string|boolean

var |

### Type(s)

`string|boolean`

## Names + status of changed files. See --name-status of git-log

    nameStatus : boolean

var |

### Type(s)

`boolean`

## Number of commits to show. See -<n>|-n|--max-count of git-log

    maxCount : integer

var |

### Type(s)

`integer`

## Don't show commits with more than one parent. See --no-merges of git-log

    noMerges : boolean

var |

### Type(s)

`boolean`

## Commit format. See --format of git-log

    format : string

var |

### Type(s)

`string`

## Date format. See --date of git-log

    date : string

var |

### Type(s)

`string`

## <since> argument to git-log

    sinceCommit : string

var |

### Type(s)

`string`

## <until> argument to git-log

    untilCommit : string

var |

### Type(s)

`string`

## <path> arguments to git-log Accepts one or more paths delimited by PATH_SEPARATOR

    paths : string

var |

### Type(s)

`string`

## Property name to set with output value from git-log

    outputProperty : string

var |

### Type(s)

`string`

## Bath to git binary

    gitPath : string

inherited

var |

### Type(s)

`string`

## gitClient

    gitClient : \VersionControl_Git

inherited

var |

### Type(s)

`\VersionControl_Git`

## Current repository directory

    repository : string

inherited

var |

### Type(s)

`string`

## Owning Target object

    target : \Target

inherited

var |

### Type(s)

`\Target`

## Description of the task

    description : string

inherited

var |

### Type(s)

`string`

## Internal taskname (req)

    taskType : string

inherited

var |

### Type(s)

`string`

## Taskname for logger

    taskName : string

inherited

var |

### Type(s)

`string`

## Stored buildfile location

    location : \Location

inherited

var |

### Type(s)

`\Location`

## Wrapper of the task

    wrapper : \RuntimeConfigurable

inherited

var |

### Type(s)

`\RuntimeConfigurable`

## Holds a reference to the project that a project component (a task, a target, etc.) belongs to

    project : \Project

inherited

var | A reference to the current project instance

### Type(s)

`\Project`